LINUX.ORG.RU

Зависимости в Kubuntu


0

0

Здравствуйте. Захотелось удалить то, что не используется, да и не будет, но возникли проблемы.

Например, при удалании adept аптитюдом, он хочет удалить весь kubuntu-desktop. А при удалении OpenOffice (ну не нужен он мне) в зависимостях всплывают language-pack-kde-en-base и language-pack-en-base, которые как понимаю и не нужно удалять.

Как это можно обойти? Или я занимаюсь фигней?)

Просто столько там лишнего, что жуть. И почему бы не включить KOffice вместо OpenOffice? Блин даже Krita нету в стандартной системе (в Ubunte же есть Gimp)

И такой вопрос: в alternate образе есть возможность выбирать устонавливаемые пакеты? Лив Сиди по почте пришел через ShipIt. Думаю, если в альтернэйт образе есть такая возможнось, то уж потрачусь тогда на трафик. (недешевый ;)))

anonymous

Re: Зависимости в Kubuntu

$ sudo aptitude remove '~nopenoffice' Reading package lists... Done Building dependency tree

........................................................... ...........................................................

The following packages will be REMOVED: openoffice.org-calc openoffice.org-common openoffice.org-core openoffice.org-draw openoffice.org-help-en-us openoffice.org-hyphenation openoffice.org-impress openoffice.org-java-common openoffice.org-kde openoffice.org-l10n-common openoffice.org-l10n-en-gb openoffice.org-l10n-en-za openoffice.org-math openoffice.org-style-crystal openoffice.org-style-human openoffice.org-thesaurus-en-us openoffice.org-writer ............................................................ ............................................................

Resolving dependencies... The following actions will resolve these dependencies:

Remove the following packages: language-support-en python-uno

Install the following packages: firefox [2.0.0.3+1-0ubuntu2 (feisty)] libnspr4 [2:1.firefox2.0.0.4+1-0ubuntu1 (feisty-security)] libnss3 [2:1.firefox2.0.0.4+1-0ubuntu1 (feisty-security)] mozilla-thunderbird [1.5.0.12-0ubuntu0.7.04 (feisty-security)]

Leave the following dependencies unresolved: language-pack-en-base recommends language-support-en language-pack-kde-en-base recommends language-support-en Score is -1348

Accept this solution? [Y/n/q/?]

Спрашиваеться: "Зачем при удалении опеноффиса он мне хочет установить это - firefox,libnspr4, libnss3, mozilla-thunderbird?"

АААААААА. Мой мозг. Почему так? Если отказываюсь от установки этих пакетов, он мне не удаляет опеноффис.

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.